Error cannot import name 'TIMESERIES_KEYS' - New Forecast Plugin

Solved!
mcunha
Level 1
Error cannot import name 'TIMESERIES_KEYS' - New Forecast Plugin

Hi,

I was very excited to use the new forecast plugin due to its new features. Everything goes well with training, however, when executing the "forecast future values" receipt I get this error and I am stuck.

Error in Python process: At line 1: <class 'ImportError'>: cannot import name 'TIMESERIES_KEYS' from 'scipy.optimize._highs.constants' (/opt/dataiku/data/code-envs/python/plugin_timeseries-forecast_managed_5/lib/python3.7/site-packages/scipy/optimize/_highs/constants.cpython-37m-x86_64-linux-gnu.so)

I am using on-premise version of DSS 8.0.4 and new forecast plugin version 1.0.0. All of this is executed in a Python 3.7 environment in a Debian 10 server.

Thanks in advance

0 Kudos
1 Solution
Alex_Combessie
Dataiker
Dataiker

Hi,

Closing this thread as resolved as it's related to another discussion: https://community.dataiku.com/t5/Plugins-Extending-Dataiku-DSS/New-Forecast-plugin-Error-in-quot-For...

As of DSS 8.0, python 3.7 is not supported by DSS. The solution is to install python 3.6 on your server.

Cheers,

Alex

View solution in original post

1 Reply
Alex_Combessie
Dataiker
Dataiker

Hi,

Closing this thread as resolved as it's related to another discussion: https://community.dataiku.com/t5/Plugins-Extending-Dataiku-DSS/New-Forecast-plugin-Error-in-quot-For...

As of DSS 8.0, python 3.7 is not supported by DSS. The solution is to install python 3.6 on your server.

Cheers,

Alex

View solution in original post

A banner prompting to get Dataiku DSS
Public